Skip to main content
`Ctrl`+`K`

# TaoTermQuadraticSetMat

Set the matrix defining a `TaoTerm` of type `TAOTERMQUADRATIC`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermQuadraticSetMat(TaoTerm term, Mat A)

Collective

## Input Parameters

- term - a `TaoTerm` of type `TAOTERMQUADRATIC`

- A - the matrix

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMQUADRATIC`, `TaoTermQuadraticGetMat()`

## Level

intermediate

## Location

src/tao/term/impls/quadratic/taotermquadratic.c

## Implementations

TaoTermQuadraticSetMat_Quadratic() in src/tao/term/impls/quadratic/taotermquadratic.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages